Subject: bug#22214: 25.0.50; lock up with gui dialogs and clipmon-mode

From: Joseph Mingrone <[email-masked]>
Date: Wed, 23 Dec 2015 17:21:18 -0400

Brian Burns <[email-masked]> writes:
> I'll add a warning to the package, and see if I can make a minimal function
> to reproduce the error - I guess it would be something like check the
> clipboard contents, shift+down, then shift+mouse+dragdown? I'm not sure how
> the polling timer might fit into it, as it seemed to hang instantly on
> dragging the mouse down.

Here is the simplest example I can come up with that causes the problem.

;; substitute x-get-selection-value for 24.x
(run-at-time nil 2 (gui-get-primary-selection))
(menu-set-font)

Substituting larger values for the first argument of `run-at-time`
just (possibly) delays when Emacs locks up.